<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 18                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function ArticlesImage
 * A function to show the article image gallery
 * @author Philipp Louis Esselbach
 */
function ArticlesImage( $page )
{
	global $database, $templates, $system, $user, $preferences;
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','articles_gallery_header','articles_gallery_image','articles_gallery_nav','articles_gallery_nav_next','articles_gallery_nav_previous','articles_gallery_footer','articles_header','articles_error_noimage','articles_footer','articles_layout_gallery'", $preferences[ 'current_theme' ] );
	$id = $system -> getpage( $page );

	if( $user[ 'user_status' ] == 1 )
	{
		$article_status = "(a2.article_status = '0' OR a2.article_status = '1' OR a2.article_status = '3')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$article_status = "(a2.article_status = '0' OR a2.article_status = '1' OR a2.article_status = '2' OR a2.article_status = '3' OR a2.article_status = '4')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$article_status = "(a2.article_status = '0' OR a2.article_status = '1' OR a2.article_status = '3' OR a2.article_status = '4')";
	}
	else
	{
		$article_status = "(a2.article_status = '0' OR a2.article_status = '3')";
	}

	$insert = $system -> getinsert( $preferences, $main_templates );
	$query = $database -> dbquery( "SELECT a1.articlefile_mime, a1.articlefile_filename, a1.articlefile_title, a1.articlefile_description, a1.articlefile_id, a1.articlefile_page, a2.article_id, a2.article_title, a2.article_seo, a2.article_description, a2.article_keywords, a2.article_status, a2.article_date, a3.articlepage_id FROM " . DB_PREFIX . "esselbach_ct_articlesfiles a1, " . DB_PREFIX . "esselbach_ct_articles a2, " . DB_PREFIX . "esselbach_ct_articlespages a3 WHERE " . $article_status . " AND a3.articlepage_id = a1.articlefile_page AND a2.article_id = a3.articlepage_article AND a1.articlefile_id = '" . $id . "' AND (a1.articlefile_mime LIKE 'image%') AND a1.articlefile_inuse = '1'" );
	$images = $database -> dbrows( $query );

	if( $images )
	{
		list( $insert[ 'articlefile_mine' ], $insert[ 'articlefile_filename' ], $insert[ 'articlefile_title' ], $insert[ 'articlefile_description' ], $insert[ 'articlefile_id' ], $insert[ 'articlefile_page' ], $insert[ 'article_id' ], $insert[ 'article_title' ], $insert[ 'article_seo' ], $insert[ 'article_description' ], $insert[ 'article_keywords' ], $insert[ 'article_status' ], $article_date, $insert[ 'articlepage_id' ] ) = $database -> dbrow( $query );

		$insert[ 'article_date' ] = $system -> convertdate( $article_date, $preferences[ 'articles_dateformat' ], $preferences[ 'website_timezone' ] );
	}

	( $insert[ 'article_title' ] ) ? $insert[ 'page_name' ] = htmlspecialchars( $insert[ 'article_title' ] . " - " . $insert[ 'articlefile_title' ] ) : $insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ] ) ;
	( $insert[ 'article_description' ] ) ? $insert[ 'page_description' ] = htmlspecialchars( $insert[ 'article_description' ] ) : $insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ] ) ;
	( $insert[ 'article_keywords' ] ) ? $insert[ 'page_keywords' ] = htmlspecialchars( $insert[ 'article_keywords' ] ) : $insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ] ) ;
	$templates -> initgzip();
	echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );

	if( $images )
	{
		if( $preferences[ 'articles_navigation' ] )
		{
			$insert[ 'articles_gallery_header' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_header_html' ], $main_templates[ 'articles_gallery_header_php' ], $insert );
		}
		else
		{
			$insert[ 'articles_gallery_header' ] = "";
		}

		$insert[ 'articles_gallery_image' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_image_html' ], $main_templates[ 'articles_gallery_image_php' ], $insert );

		if( $preferences[ 'articles_gallery_navigation' ] )
		{
			$query = $database -> dbquery( "SELECT articlefile_title, articlefile_id FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_id < '" . $id . "' AND (articlefile_mime LIKE 'image%') AND articlefile_page = '" . intval( $insert[ 'articlepage_id' ] ) . "' ORDER BY articlefile_id DESC LIMIT 1" );

			if( $database -> dbrows( $query ) )
			{
				list( $previous_title, $previous_id ) = $database -> dbrow( $query );
				$insert[ 'articleimage_nav_id' ] = $previous_id;
				$insert[ 'articleimage_nav_title' ] = htmlspecialchars( $previous_title );
				$insert[ 'articleimage_previous_image' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_nav_previous_html' ], $main_templates[ 'articles_gallery_nav_previous_php' ], $insert );
			}
			else
			{
				$insert[ 'articleimage_previous_image' ] = "";
			}

			$query = $database -> dbquery( "SELECT articlefile_title, articlefile_id FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_id > '" . $id . "' AND (articlefile_mime LIKE 'image%') AND articlefile_page = '" . intval( $insert[ 'articlepage_id' ] ) . "' ORDER BY articlefile_id LIMIT 1" );

			if( $database -> dbrows( $query ) )
			{
				list( $next_title, $next_id ) = $database -> dbrow( $query );
				$insert[ 'articleimage_nav_id' ] = $next_id;
				$insert[ 'articleimage_nav_title' ] = htmlspecialchars( $next_title );
				$insert[ 'articleimage_next_image' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_nav_next_html' ], $main_templates[ 'articles_gallery_nav_next_php' ], $insert );
			}
			else
			{
				$insert[ 'articleimage_next_image' ] = "";
			}

			$insert[ 'articleimage_current_image' ] = htmlspecialchars( $insert[ 'articlefile_title' ] );
			$insert[ 'articles_gallery_nav' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_nav_html' ], $main_templates[ 'articles_gallery_nav_php' ], $insert );
		}
		else
		{
			$insert[ 'articles_gallery_nav' ] = "";
		}

		if( $preferences[ 'articles_navigation' ] )
		{
			$insert[ 'articles_gallery_footer' ] = $templates -> exectemplate( $main_templates[ 'articles_gallery_footer_html' ], $main_templates[ 'articles_gallery_footer_php' ], $insert );
		}
		else
		{
			$insert[ 'articles_gallery_footer' ] = "";
		}

		echo $templates -> exectemplate( $main_templates[ 'articles_layout_gallery_html' ], $main_templates[ 'articles_layout_gallery_php' ], $insert );
	}
	else
	{
		if( $preferences[ 'articles_navigation' ] )
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_header_html' ], $main_templates[ 'articles_header_php' ], $insert );
		}

		echo $templates -> exectemplate( $main_templates[ 'articles_error_noimage_html' ], $main_templates[ 'articles_error_noimage_php' ], $insert );

		if( $preferences[ 'articles_navigation' ] )
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_footer_html' ], $main_templates[ 'articles_footer_php' ], $insert );
		}
	}

	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>